from pychart import *
import pychart.doc_support
import chartdemo
import re

x = 100
y = 100

def draw_tick(tick):
    global x, y
    name = pychart.doc_support.stringify_value(tick)
    name = re.sub("tick_mark\\.", "", name)
    name = pychart.doc_support.break_string(name)
    tick.draw(x, y+tick.size/2)
    tb = text_box.T(text="/12" + name, loc=(x, y-20), line_style=None)
    x = x + 70
    tb.draw()

for tick in tick_mark.standards.list():
    draw_tick(tick)
    if x >= chartdemo.MaxWidth:
        x = 100
        y = y + 45
